petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStrArrayallocpy

Allocates space to hold a copy of an array of strings then copies the strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrArrayallocpy(const char *const *list,char ***t)

Not Collective

### Input Parameters

s -pointer to array of strings (final string is a null)

### Output Parameter

t -the copied array string

### Note

Not for use in Fortran

### See Also

PetscStrallocpy() PetscStrArrayDestroy()

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages